Name: libcerror
Version: 20220101
Release: 1
Summary: Library to support cross-platform C error functions
Group: System Environment/Libraries
License: LGPLv3+
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcerror
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc

%description -n libcerror
Library to support cross-platform C error functions

%package -n libcerror-static
Summary: Library to support cross-platform C error functions
Group: Development/Libraries
Requires: libcerror = %{version}-%{release}

%description -n libcerror-static
Static library version of libcerror.

%package -n libcerror-devel
Summary: Header files and libraries for developing applications for libcerror
Group: Development/Libraries
Requires: libcerror = %{version}-%{release}

%description -n libcerror-devel
Header files and libraries for developing applications for libcerror.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcerror
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libcerror-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libcerror-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcerror.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sat Jan  1 2022 Joachim Metz <joachim.metz@gmail.com> 20220101-1
- Auto-generated

